Create From Item

Creates a subscription based on the properties of an item and order.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Response Body Definitions

NameTypeDescriptionExample
customerstringCustomer ID"00026001"
merchantstringMerchant ID"ac4f7938383a11e89ecbbc764e1107f2"
productstringProduct ID"0070000693"
paymentstringPayment record ID"070001bc02fd11e99542bc764e1043b0"
shipping_addressstringShipping address record ID"66c25cd0564011e9abc5bc764e107990"
offerstringOffer ID"a748aa648ac811e8af3bbc764e106cf4"
subscription_typestringSubscription Type"Replenish"
componentsstringLegacy Bundle componentsSee Legacy Bundle Example below
componentsarray of objectsNew Bundle componentsSee New Bundle Example below
extra_datastringRaw JSON string that should be JSON.parse() as key/value store for any extra information."{\"some\": \"extra\", \"fields\": \"here\"}"
public_idstringSubscription ID"f9cb2f93e1c845eb9de9eff46ddb3cbf"
product_attributestring"null"
quantityintegerNumber of items21
pricestringPrice"12.99"
frequency_daysintegerOrder placement interval in days42
reminder_daysintegerDays before order placement to email reminder (minimum of 5)42
everyintegerNumber of periods6
every_periodintegerType of period3
start_datestringDate of subscription start, in format YYYY-MM-DD"2019-07-21"
cancelledstringDate of subscription cancellation; null=not cancelled."null"
cancel_reasonstringPipe-delimited cancel reason code and cancel reason details"4|Overstocked"
cancel_reason_codestringCancel reason code"4"
currency_codestringThree letter ISO currency code"USD"
iterationstringDeprecated
sequencestringDeprecated
session_idstringSession ID, obtained from og_session_id cookie"ac4f7938383a11e89ecbbc764e1107f2.896371.1539022086"
merchant_order_idstringOrder ID in your system"301617"
customer_repstringDeprecated
clubstringDeprecated
createdstringDate created"2017-02-29 12:00:00"
updatedstringDate updated"2017-02-29 12:00:00"
livebooleanTrue=active subscription; False=inactive subscriptiontrue
prepaid_subscription_contextobjectPrepaid information - Returned only if prepaid is enabledSee Prepaid Example below

Components Examples

Legacy Bundle Example:

[{"product": "product_id_1"}]

New Bundle Example:

[
  {
    "public_id": "79d2dc76245111eeb185acde48001122",
    "quantity": 1,
    "product": "0070067690"
  },
  {
    "public_id": "7eeaa504245111eeb185acde48001122",
    "quantity": 3,
    "product": "0070067691"
  }
]

New Bundle Components Type Definition:

array of objects: {
  public_id: string
  quantity: integer
  product: string
}

Prepaid Subscription Context Example

{
  "prepaid_orders_remaining": 0,
  "prepaid_orders_per_billing": 3,
  "renewal_behavior": "autorenew",
  "last_renewal_revenue": 100.8,
  "prepaid_origin_merchant_order_id": "#3082"
}

Or empty object: {}

Body Params
string
required

Item ID

int32
required

Number of periods

int32
required

Type of period

string

Offer ID

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json